import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams, LoadingController } from 'ionic-angular';
import { LecturesProvider } from '../../providers/lectures-provider';
import { ViewChild } from '@angular/core';
import { Slides } from 'ionic-angular';

/**
 * Generated class for the Programme page.
 *
 * See http://ionicframework.com/docs/components/#navigation for more info
 * on Ionic pages and navigation.
 */
@IonicPage()
@Component({
  selector: 'page-programme',
  templateUrl: 'programme.html',
  providers:[LecturesProvider],
})
export class Programme {
  @ViewChild(Slides) slides: Slides;
  room: any = "0";
  loading: any;
  lecturesData: any;
  constructor(public navCtrl: NavController, public navParams: NavParams, private lecturesProvider:LecturesProvider,  public loadingCtrl: LoadingController) {

  this.loading = this.loadingCtrl.create({
    content: `
      <ion-spinner ></ion-spinner>`
  });
  this.getdata();
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad Programme');
  }

  getdata(){
  this.lecturesProvider.getJsonData().subscribe(
    result => {
      this.lecturesData=result.schedule;
      console.log("Success : "+this.lecturesData);
    },
    err =>{
      console.error("Error : "+err);
    } ,
    () => {
      this.room = this.lecturesData[0].name
      console.log('getData completed');
    }
  );

  }

  slideChanged() {
    let currentIndex = this.slides.getActiveIndex();
    this.room = this.lecturesData[currentIndex].name;
    console.log('slide changed' + this.room)
  }
}
